org.eclipse.jetty.webapp

## Class WebXmlConfiguration

- java.lang.Object
- - org.eclipse.jetty.webapp.AbstractConfiguration
  - - org.eclipse.jetty.webapp.WebXmlConfiguration

All Implemented Interfaces:
  Configuration

    public class WebXmlConfiguration
    extends AbstractConfiguration

Configure by parsing default web.xml and web.xml

### Constructor Summary

Constructors
Constructor and Description
`WebXmlConfiguration()`

### Method Summary

Methods
`void` `configure(WebAppContext context)` Process web-default.xml, web.xml, override-web.xml
`void` `deconfigure(WebAppContext context)` DeConfigure WebApp.
`protected Resource` `findWebXml(WebAppContext context)`
`void` `preConfigure(WebAppContext context)` Set up for configuration.

### Methods inherited from class org.eclipse.jetty.webapp.AbstractConfiguration

`cloneConfigure, destroy, postConfigure`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebXmlConfiguration

    public WebXmlConfiguration()

### Method Detail

#### preConfigure

    public void preConfigure(WebAppContext context)
                      throws Exception

Description copied from interface: `Configuration`
Set up for configuration.

Typically this step discovers configuration resources

Specified by:
  `preConfigure` in interface `Configuration`
Overrides:
  `preConfigure` in class `AbstractConfiguration`
Parameters:
  `context` - The context to configure
Throws:
  `Exception`

#### configure

    public void configure(WebAppContext context)
                   throws Exception

Process web-default.xml, web.xml, override-web.xml

Specified by:
  `configure` in interface `Configuration`
Overrides:
  `configure` in class `AbstractConfiguration`
Parameters:
  `context` - The context to configure
Throws:
  `Exception`

#### findWebXml

    protected Resource findWebXml(WebAppContext context)
                           throws IOException,
                                  MalformedURLException

Throws:
  `IOException`
  `MalformedURLException`

#### deconfigure

    public void deconfigure(WebAppContext context)
                     throws Exception

Description copied from interface: `Configuration`
DeConfigure WebApp. This method is called to undo all configuration done. This is called to allow the context to work correctly over a stop/start cycle

Specified by:
  `deconfigure` in interface `Configuration`
Overrides:
  `deconfigure` in class `AbstractConfiguration`
Parameters:
  `context` - The context to configure
Throws:
  `Exception`